SDL_HINT_JOYSTICK_LINUX_CLASSIC(3)

NAME
SDL_HINT_JOYSTICK_LINUX_CLASSIC - A variable controlling whether to use the classic /dev/input/js joystick interface or the newer /dev/input/event joystick interface on Linux.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_JOYSTICK_LINUX_CLASSIC SDL_JOYSTICK_LINUX_CLASSIC"

DESCRIPTION
The variable can be set to the following values: • "0": Use /dev/input/event (default) • "1": Use /dev/input/js This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.0.0.